//console path implementation file

#include "cpath.h"

#include <qtextedit.h>
#include <qmenubar.h>
#include <qfile.h>
#include <qstatusbar.h>


ConsolePath::ConsolePath() : QMainWindow(0, "path window", 0)
{
  QPopupMenu *cfile = new QPopupMenu(this);
  menuBar()->insertItem("&Close", cfile);
  cfile->insertItem("&Close", this, SLOT(close()), CTRL+Key_Q);
  
  menuBar()->insertSeparator();
  
  QPopupMenu *setP = new QPopupMenu(this);
  menuBar()->insertItem("Set &Path", setP);
  
  setP->insertItem("Set &Path", this, SLOT(setPath()), CTRL+Key_P);
  
	
  path = new QTextEdit(this, "consolePath");
  path->setFocus();
  setCentralWidget(path);
  path->setText("Enter path or command to console here\n\nNOTE: This field is"
  " taken as a string literal, any typographical errors will result in failure"
  " to load console!");
  
  QString fn = "cpath.info";
  QFile currentP(fn);
  if (currentP.open(IO_ReadOnly))
  {
    QTextStream cInfo(&currentP);
    currentPath = cInfo.read();
    statusBar()->message("Current path: " + currentPath, 0);
    currentP.close();
  }
  else
    statusBar()->message("Current path: NONE SET!", 0);
    
  resize(500, 50);
  
}

ConsolePath::~ConsolePath() 
{
  //no clean up needed! Just done for habit
}

void ConsolePath::setPath()
{
  QString cPathName = path->text();
  QString filename = "cpath.info";
  
  QFile pathInfo(filename);
  
  if (!pathInfo.open(IO_WriteOnly))
  {
    path->setText("Error writing path name to file!\n");
    return;
  }

  QTextStream stream(&pathInfo);
  stream << cPathName;
  pathInfo.close();
  
  path->setText("SUCCESS!\n\nCurrent path set to: " + cPathName);
}
